##############################################################################
#
# Copyright (c) 2003 Zope Corporation and Contributors.
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.0 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#
##############################################################################
"""Base implementation for FS gateways.

$Id: base.py,v 1.2 2004/01/09 14:05:32 johanc Exp $
"""

from interfaces import IFSConnection


class FSGatewayBase:
    """Base implementation for FS gateways."""

    schema = None

    def __init__(self, conn_name='fs'):
        self.conn_name = conn_name

    def getSchema(self):
        return self.schema

    def getConnection(self, event):
        return event.getConnection(self.conn_name)

    def getSources(self, event):
        return None
