# $Header: /usr/custom/cvs/public/EnergyPlusLive/lib/python/Products/EasyCore/Utils/HTMLEntity.py,v 1.1 2003/03/24 12:16:38 johanc Exp $
#
# Copyright (C) 2001-2003, Johan Carlsson, Lennart Regebro, Colliberty.
# This software is licensed under the Easy Publisher Shared License 2.0 and/or
# the Easy Publisher Enterprise License 2.0 and/or the Easy Publisher Developers License 2.0
# and/or the Easy Publisher Personal Developers License 2.0.
# The licensee may not give, sell, sub-license, rent, lease, lend or in any other
# way distribute any portion of the Software or Documentation to anyone.
# For details about the licenses contact Colliberty at info@colliberty.com
#

#

__doc__ = """FunctionTemplate."""
__version__='$Revision: 1.1 $'[11:-2]


from htmlentitydefs import entitydefs
from string import replace


reversentities = {}
entities = {}
for entity in entitydefs.keys():
    if entity!='lt' and entity!='gt' and entity!='amp' and entity!='quot':
        reversentities[entitydefs[entity]] = "&" + entity + ";"
        entities["&" + entity + ";"] = entitydefs[entity]

class htmlconverterbase:
    def ISO88591_to_HTML(self,result=''):
        newresult = result
        for entity in reversentities.keys():
            newresult = replace(newresult,entity, reversentities[entity])
        return newresult
