# $Header: /usr/custom/cvs/public/EnergyPlusLive/lib/python/Products/EasyEditor/Features/__init__.py,v 1.2 2003/03/02 20:02:22 johanc Exp $
#
# Copyright (C) 2001-2003, Johan Carlsson, Lennart Regebro, Colliberty.
# This software is licensed under the Easy Publisher Shared License 2.0 and/or
# the Easy Publisher Enterprise License 2.0 and/or the Easy Publisher Developers License 2.0
# and/or the Easy Publisher Personal Developers License 2.0.
# The licensee may not give, sell, sub-license, rent, lease, lend or in any other
# way distribute any portion of the Software or Documentation to anyone.
# For details about the licenses contact Colliberty at info@colliberty.com
#

#

__doc__='''EasyEditor Features
$Id: __init__.py,v 1.2 2003/03/02 20:02:22 johanc Exp $'''
__version__='$Revision: 1.2 $'[11:-2]



init_imported = ()

import CSSStylesFeature; init_imported = init_imported + (CSSStylesFeature,)
import InlineBold; init_imported = init_imported + (InlineBold,)
import InlineItalic; init_imported = init_imported + (InlineItalic,)
import InlineUnderline; init_imported = init_imported + (InlineUnderline,)
import EasyImageFeature; init_imported = init_imported + (EasyImageFeature,)
import EasyLinkFeature; init_imported = init_imported + (EasyLinkFeature,)
import Indentation; init_imported = init_imported + (Indentation,)
import CutCopyPaste; init_imported = init_imported + (CutCopyPaste,)
import Lists; init_imported = init_imported + (Lists,)
import Alignment; init_imported = init_imported + (Alignment,)
import RemoveFormat; init_imported = init_imported + (RemoveFormat,)
import Print; init_imported = init_imported + (Print,)
import ShowContentRegions; init_imported = init_imported + (ShowContentRegions,)
import EditViewList; init_imported = init_imported + (EditViewList,)

import Undo,Redo; init_imported = init_imported + (Redo,Undo)



def initialize(context):
    """Initialize the Features product."""

    for m in init_imported:
            m.initialize(context)

