# $Header: /usr/custom/cvs/public/EnergyPlusLive/lib/python/Products/EasyEditor/MetaDataTemplates/MetaDataTemplate.py,v 1.3 2003/04/14 12:36:10 johanc Exp $
#
# Copyright (C) 2001-2003, Johan Carlsson, Lennart Regebro, Colliberty.
# This software is licensed under the Easy Publisher Shared License 2.0 and/or
# the Easy Publisher Enterprise License 2.0 and/or the Easy Publisher Developers License 2.0
# and/or the Easy Publisher Personal Developers License 2.0.
# The licensee may not give, sell, sub-license, rent, lease, lend or in any other
# way distribute any portion of the Software or Documentation to anyone.
# For details about the licenses contact Colliberty at info@colliberty.com
#

#

__doc__="""MetaDataTemplate

$Colliberty: MetaDataTemplate.py,v 0.0.1 2001/08/06 01:01:00 johanc Exp $"""
__version__='$Revision: 1.3 $'[11:-2]


import Globals
from Globals import HTML, DTMLFile, Persistent, MessageDialog
from string import join,split
#from string import join,split,strip,rfind,atoi,lower
from OFS.PropertyManager import PropertyManager
from Products.EasyCore import EasyCorePermissions


class MetaDataTemplate(PropertyManager):
    """A MetaDataTemplate Object """


    description = ""
    subject = ""
    category = ""
    noindex = 0

    _properties = (
        {'id':'title', 'type': 'string', 'mode': 'w'},
        {'id':'description', 'type': 'text', 'mode': 'w'},
        {'id':'subject', 'type': 'lines', 'mode': 'w'},
        {'id':'no_index', 'type': 'boolean', 'mode': 'w'},
    )



    def __init__(self, id):
        self.id = id


    manage_options = PropertyManager.manage_options


Globals.InitializeClass(MetaDataTemplate)




def initialize(context):
    """Initialize MetaDataTemplate Product"""

