# $Header: /usr/custom/cvs/public/EnergyPlusLive/lib/python/Products/EasyNewsService/EasyNewsAware.py,v 1.6 2003/04/14 12:37:08 johanc Exp $
#
# Copyright (C) 2001-2003, Johan Carlsson, Lennart Regebro, Colliberty.
# This software is licensed under the Easy Publisher Shared License 2.0 and/or
# the Easy Publisher Enterprise License 2.0 and/or the Easy Publisher Developers License 2.0
# and/or the Easy Publisher Personal Developers License 2.0.
# The licensee may not give, sell, sub-license, rent, lease, lend or in any other
# way distribute any portion of the Software or Documentation to anyone.
# For details about the licenses contact Colliberty at info@colliberty.com
#

#

__doc__='''EasyNewsService product: EasyNewsAware base class.'''
__version__='1.7'

import Globals
from AccessControl import ClassSecurityInfo
import DateTime

from Products.EasyCatalog.EasyCatalogAware import EasyCatalogAware
from Products.EasyCore.EasyCorePermissions import *
from Products.EasyCore.EasyNewsServiceConf import NEWS_SERVICE_ID

DateTimeType = type(DateTime.DateTime())

class EasyNewsAware(EasyCatalogAware):
    """Adds news catalog awareness to a class"""

    news_catalog = NEWS_SERVICE_ID

    __catalogs__=(NEWS_SERVICE_ID,)

    security = ClassSecurityInfo()



    #MOVED TO EASYDUBLINCORE

    #security.declarePublic('effective_year')
    #def effective_year(self):
    #    if type(self.effective_date)==DateTimeType:
    #        return self.effective_date.year()
    #    return self.bobobase_modification_time().year()

    #security.declarePublic('effective_month')
    #def effective_month(self):
    #    if type(self.effective_date)==DateTimeType:
    #        return self.effective_date.month()
    #    return self.bobobase_modification_time().month()

    #security.declarePublic('effective_month_name')
    #def effective_month_name(self):
    #    if type(self.effective_date)==DateTimeType:
    #        return self.effective_date.Month()
    #    return self.bobobase_modification_time().Month()

    #security.declarePublic('effective_day')
    #def effective_day(self):
    #    if type(self.effective_date)==DateTimeType:
    #        return self.effective_date.day()
    #    return self.bobobase_modification_time().day()

    #security.declarePublic('effective_weekday')
    #def effective_weekday(self):
    #    if type(self.effective_date)==DateTimeType:
    #        return self.effective_date.DayOfWeek()
    #    return self.bobobase_modification_time().DayOfWeek()

    #security.declarePublic('publish_date')
    #def publish_date(self):
    #    if type(self.effective_date)==DateTimeType:
    #        return self.effective_date
    #    return self.bobobase_modification_time()

    #security.declarePublic('archive_date')
    #def archive_date(self):
    #    if type(self.expiration_date)==DateTimeType:
    #        return self.expiration_date
    #    return None

    #security.declarePublic('is_visible')
    #def is_visible(self):
    #    now = DateTime.now()
    #    return self.effective_date <= now and self.expiration_date > now

    #security.declarePublic('is_published')
    #def is_published(self):
    #    return self.effective_date <= DateTime.now()

    #security.declarePublic('is_archived')
    #def is_archived(self):
    #    return self.expiration_date <= DateTime.now()


Globals.InitializeClass(EasyNewsAware)


