# $Header: /usr/custom/cvs/public/EnergyPlusLive/lib/python/Products/EasySecurity/EasyMembershipService.py,v 1.1 2003/09/25 06:52:36 johanc Exp $
#
# Copyright (C) 2001-2003, Johan Carlsson, Lennart Regebro, Colliberty.
# This software is licensed under the Easy Publisher Shared License 2.0 and/or
# the Easy Publisher Enterprise License 2.0 and/or the Easy Publisher Developers License 2.0
# and/or the Easy Publisher Personal Developers License 2.0.
# The licensee may not give, sell, sub-license, rent, lease, lend or in any other
# way distribute any portion of the Software or Documentation to anyone.
# For details about the licenses contact Colliberty at info@colliberty.com
#

#

__doc__ = """EasyMembershipService initialization module."""
__version__ = '0.1'


import Globals
from Globals import DTMLFile

from AccessControl import ClassSecurityInfo
from Products.CMFCore.MembershipTool import MembershipTool
from Products.ZCatalog import ZCatalog

from Products.EasyCore import MLOG_TAB


class EasyMembershipService(MembershipTool):
    """\
    EasyMembershipService.
    """
    meta_type = "EasyMemberData"

    security = ClassSecurityInfo()


manage_addEasyMembershipServiceForm=DTMLFile('dtml/manage_addEasyMembershipServiceForm', globals())

def manage_addEasyMembershipService(self, id, REQUEST=None):
    pass


def initialize(context):
    """Initialize Products"""

    context.registerClass(
        EasyMembershipService,
        permission=EasyCorePermissions.EasyUserFolderServiceAdd,
        icon='icons/EasyMembershipService.gif',
        constructors=(manage_addEasyMembershipServiceForm,manage_addEasyMembershipService),
        meta_type = EasyMembershipService.meta_type
    )

