# $Header: /usr/custom/cvs/public/EnergyPlusLive/lib/python/Products/ReplaceSupport/Handlers/EasyDTMLView.py,v 1.2 2003/04/14 12:37:51 johanc Exp $
#
# Copyright (C) 2001-2003, Johan Carlsson, Lennart Regebro, Colliberty.
# This software is licensed under the Easy Publisher Shared License 2.0 and/or
# the Easy Publisher Enterprise License 2.0 and/or the Easy Publisher Developers License 2.0
# and/or the Easy Publisher Personal Developers License 2.0.
# The licensee may not give, sell, sub-license, rent, lease, lend or in any other
# way distribute any portion of the Software or Documentation to anyone.
# For details about the licenses contact Colliberty at info@colliberty.com
#

from Products.ReplaceSupport.ReplaceHandler import ReplaceHandler
from Products.EasyCore import EasyCorePermissions

__handler_class_name__ = 'EasyDTMLViewHandler'

class EasyDTMLViewHandler( ReplaceHandler ):
    '''search & replace in Easy DTMLView'''

    def getMetaType( self ):
        return 'Easy DTMLView'

    def getChangePermission( self ):
        return EasyCorePermissions.EasyTemplateChange

    def getBody( self, ob ):
        return ob.raw

    def manageEdit( self, ob, body, params='' ):
        ob.manage_edit( body, ob.title )


