

from Globals import DTMLFile
from AccessControl.Role import RoleManager

def permission_settings(self):
    """Return user-role permission settings
    """
    result=[]
    valid=self.valid_roles()
    indexes=range(len(valid))
    ip=0
    for p in self.ac_inherited_permissions(1):
        name, value = p[:2]
        aq_roles = len(p)>2 and p[2] or ()
        p=Permission(name,value,self)
        roles=p.getRoles(default=[])
        d={'name': name,
           'acquire': type(roles) is ListType and 'CHECKED' or '',
           'roles': map(
               lambda ir, roles=roles, valid=valid, ip=ip, aq_roles=aq_roles:
               {
                   'name': "p%dr%d" % (ip,ir),
                   'checked': (valid[ir] in roles) and 'CHECKED' or '',
                   'is_acquired': valid[ir] in aq_roles,
                   },
               indexes)
           }
        ip=ip+1
        result.append(d)
    return result

RoleManager.permission_settings = permission_settings