# $Header: /usr/custom/cvs/public/EnergyPlusLive/lib/python/Products/ZMIPatch/utils.py,v 1.2 2003/03/24 12:16:33 johanc Exp $
#
# Copyright (C) 2001-2003, Johan Carlsson, Lennart Regebro, Colliberty.
# This software is licensed under the Easy Publisher Shared License 2.0 and/or
# the Easy Publisher Enterprise License 2.0 and/or the Easy Publisher Developers License 2.0
# and/or the Easy Publisher Personal Developers License 2.0.
# The licensee may not give, sell, sub-license, rent, lease, lend or in any other
# way distribute any portion of the Software or Documentation to anyone.
# For details about the licenses contact Colliberty at info@colliberty.com
#

import Globals
from Globals import package_home
from OFS.DTMLMethod import DTMLMethod
from Globals import DTMLFile

def createDTMLMethod(container, id, lpath):
    path = os.path.join(package_home(globals()), lpath+'.dtml')
    f = open(path,'r')
    file = f.read()
    f.close()
    setattr(container, id, DTMLMethod(file, __name__=id))

def createDTMLFile(container, srm, id, lpath, protection=None, permission=None):
    file = DTMLFile(lpath, globals())
    if protection.lower()=='public': srm.declarePublic(id)
    elif protection.lower() =='protected': srm.declareProtected(id, permission)
    else: srm.declarePrivate(id)
    setattr(container, id, file)
