# $Header: /usr/custom/cvs/public/EnergyPlusLive/lib/python/Products/EasyCore/Utils/HTMLFormHelpers.py,v 1.1 2003/03/24 12:16:38 johanc Exp $
#
# Copyright (C) 2001-2003, Johan Carlsson, Lennart Regebro, Colliberty.
# This software is licensed under the Easy Publisher Shared License 2.0 and/or
# the Easy Publisher Enterprise License 2.0 and/or the Easy Publisher Developers License 2.0
# and/or the Easy Publisher Personal Developers License 2.0.
# The licensee may not give, sell, sub-license, rent, lease, lend or in any other
# way distribute any portion of the Software or Documentation to anyone.
# For details about the licenses contact Colliberty at info@colliberty.com
#

#

__doc__="""HTMLFormHelpers Object

$Colliberty: HTMLFormHelpers.py,v 0.0.1 2001/06/04 22:33:00 johanc Exp $"""
__version__='$Revision: 1.1 $'[11:-2]


from Globals import HTML


#Usage:
#from Products.EasyCore.Utils.HTMLFormHelpers import selectTemplateDTML


selectTemplateDTML = HTML( """
  <SELECT<dtml-if "_.has_key('unselectable')"> unselectable="&dtml-unselectable;"</dtml-if><dtml-if "_.has_key('name')"> name="&dtml-name;"</dtml-if><dtml-if "_.has_key('elementid')"> id="&dtml-elementid;"</dtml-if><dtml-if "_.has_key('onSelect')"> onSelect="&dtml-onSelect;"</dtml-if><dtml-if "_.has_key('onClick')"> onClick="&dtml-onClick;"</dtml-if><dtml-if "_.has_key('cssclass')"> class="&dtml-cssclass;"</dtml-if><dtml-if "_.has_key('cssstyle')"> style="&dtml-cssstyle;"</dtml-if><dtml-if "_.has_key('size')"> size="&dtml-size;"</dtml-if>>
   <dtml-in items>
    <OPTION value="&dtml-sequence-key;" <dtml-if "_['sequence-key'] == activekeys or _['sequence-key'] in activekeys">SELECTED</dtml-if>>&dtml-sequence-item;</OPTION>
   </dtml-in>
  </SELECT>
""", globals())

#
#
# Arguments: name:string, activekeys:list of active keys, items:list of (key,value) pairs
#
checkableTableRows = HTML("""
  <dtml-in items>
    <TR>
      <TD><INPUT type="checkbox" name="&dtml-name;" value="&dtml-sequence-key;" <dtml-if "_['sequence-key'] == activekeys or _['sequence-key'] in activekeys">CHECKED</dtml-if>></TD>
      <TD><strong>&dtml-sequence-item;</strong></TD>
    </TR>
  </dtml-in>
""",globals())

