# $Header: /usr/custom/cvs/public/EnergyPlusLive/lib/python/Products/EasyCore/WorkflowLocks/LockedPropertyManager.py,v 1.1 2003/07/06 06:40:54 johanc Exp $
#
# Copyright (C) 2001-2003, Johan Carlsson, Lennart Regebro, Colliberty.
# This software is licensed under the Easy Publisher Shared License 2.0 and/or
# the Easy Publisher Enterprise License 2.0 and/or the Easy Publisher Developers License 2.0
# and/or the Easy Publisher Personal Developers License 2.0.
# The licensee may not give, sell, sub-license, rent, lease, lend or in any other
# way distribute any portion of the Software or Documentation to anyone.
# For details about the licenses contact Colliberty at info@colliberty.com
#

__doc__='''LockedPropertyManager'''
__version__='$Revision: 1.1 $'[11:-2]


import Globals
from Globals import DTMLFile
from AccessControl import ClassSecurityInfo

from Products.EasyCatalog.EasyCatalogAware import EasyCatalogAwarePropertyManager


#from AccessControl import getSecurityManager, Unauthorized
#from OFS.Folder import Folder
#from OFS.PropertySheets import Virtual, View, FixedSchema, DefaultPropertySheets, vps, PropertySheet
#from Products.EasyCore.Utils import Tutils
#from Products.EasyCore.Utils.PCounter import PCounter
#from ComputedAttribute import ComputedAttribute

from Products.EasyCore import MLOG_TAB

class LockedPropertyManager(EasyCatalogAwarePropertyManager):
    """\

    """

    security = ClassSecurityInfo()

    #security.declareProtected(EasyApplicationObjectChange, 'manage_propertiesForm')
    manage_propertiesForm=DTMLFile("dtml/manage_propertiesForm", globals(), property_extensible_schema__=1)

    #security.declareProtected(EasyApplicationObjectChange, 'manage_propertiesForm')
    #manage_propertyTypeForm=DTMLFile('dtml/manage_propertyTypeForm', globals())

Globals.InitializeClass(LockedPropertyManager)


